# SurchargeCalculationRequest class

Request used to retrieve a SurchargeCalculation from the API.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

SurchargeCalculationRequest(AmountOfMoney amountOfMoney)
SurchargeCalculationRequest.fromJson(Map<String, dynamic> json)
  factory
SurchargeCalculationRequest.withPartialCreditCardNumber(AmountOfMoney amountOfMoney, String? partialCreditCardNumber, {int? paymentProductId})
SurchargeCalculationRequest.withToken(AmountOfMoney amountOfMoney, String? token)

## Properties

amountOfMoney → AmountOfMoney
  final
hashCode → int
  The hash code for this object.
  read-only inherited
partialCreditCardNumber ↔ String?
  read / write
paymentProductId ↔ int?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
token ↔ String?
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited